<table class="table table-bordered" *ngIf="detail">
  <tbody>
  <tr>
    <th>Account Head</th>
    <td>{{detail.budgetAccountHead?.accountHead}}</td>
    <th>Main Code</th>
    <td>{{ detail.budgetAccountHead?.mainCode }}</td>
    <th>Branch Total Budget</th>
    <td>
      {{ detail.budgetAccountHead?.branchTotalBudget | number:'1.0':'en-US'}}
    </td>
  </tr>
  <tr>
    <th>This Month Budget</th>
    <td>{{ detail.thisMonthBudget?.totalBudget | number:'1.0':'en-US'}}</td>
    <th>This Month Expenses(Including this bill)</th>
    <td>{{ detail.thisMonthBudget?.totalExpense | number:'1.0':'en-US' }}</td>
    <th>Budget Status</th>
    <td>
          <span [ngClass]=" getStatus(detail.thisMonthBudget) === 'YES'? 'badge badge-danger': 'badge badge-primary' ">
            {{getStatus(detail.thisMonthBudget)  }}
          </span>
    </td>
  </tr>
  <tr>
    <th>Previous month budget</th>
    <td>{{ detail.previousMonthBudget?.totalBudget | number:'1.0':'en-US' }}</td>
    <th>Previous month Expense</th>
    <td>{{ detail.previousMonthBudget?.totalExpense | number:'1.0':'en-US' }}</td>
    <th>Growth Against Prev. Month</th>
    <td>
      {{getGrowth(detail) }}
    </td>
  </tr>
  <tr>
    <th>YTD Budget Branch</th>
    <td>{{ detail.ytdBudgetBranch?.totalBudget | number:'1.0':'en-US'}}</td>
    <th>YTD Expense Branch (including this bill)</th>
    <td>{{ detail.ytdBudgetBranch.totalExpense | number:'1.0':'en-US' }}</td>
    <th>Budget Status</th>
    <td>
          <span [ngClass]=" getStatus(detail.ytdBudgetBranch) === 'YES'? 'badge badge-danger': 'badge badge-primary' ">
            {{getStatus(detail.ytdBudgetBranch) }}
          </span>
    </td>
  </tr>
  <tr>
    <th>Country This Month Budget</th>
    <td>{{detail.countryThisMonthBudget?.totalBudget | number:'1.0':'en-US' }}</td>
    <th>Country This Month Expense</th>
    <td>{{ detail.countryThisMonthBudget?.totalExpense | number:'1.0':'en-US' }}</td>
    <th>Budget Status</th>
    <td>
          <span
            [ngClass]=" getStatus(detail.countryThisMonthBudget) === 'YES'? 'badge badge-danger': 'badge badge-primary' ">
            {{getStatus(detail.countryThisMonthBudget) }}
          </span>
    </td>
  </tr>
  <tr>
    <th>Country YTD Budget</th>
    <td>{{ detail.countryYTDBudget?.totalBudget | number:'1.0':'en-US' }}</td>
    <th>Country YTD Expense</th>
    <td>{{ detail.countryYTDBudget?.totalExpense | number:'1.0':'en-US' }}</td>
    <th>Budget Status</th>
    <td>
          <span [ngClass]=" getStatus(detail.countryYTDBudget) === 'YES'? 'badge badge-danger': 'badge badge-primary' ">
            {{getStatus(detail.countryYTDBudget) }}
          </span>
    </td>
  </tr>
  <tr>
    <th>Country Total Budget</th>
    <td>{{ detail.countryTotalBudget?.totalBudget | number:'1.0':'en-US' }}</td>
    <th>Remaining Budget Branch</th>
    <td>{{ detail.countryTotalBudget?.totalExpense | number:'1.0':'en-US' }}</td>
    <th>Debit Branch</th>
    <td>{{ detail.budgetAccountHead?.debitBranch?.name + ' ( ' + detail.budgetAccountHead?.debitBranch?.name + ' )'}}</td>
  </tr>
  </tbody>
</table>
